'use strict';

const crypto = require('crypto');
const URL = require('url');

module.exports = (url, privateKey) => {
    const hash = crypto.createHash('sha256');
    const urlWithSecret = `${url}${privateKey}`;
    const sig = hash.update(urlWithSecret).digest('hex');
    const parsed = URL.parse(url);
    return parsed.query ? `${url}&auth=${sig}` : `${url}?auth=${sig}`;
};
